Runtime

## org.eclipse.gmf.runtime.draw2d.ui.mapmode
Class MapModeUtil

    java.lang.Object
      org.eclipse.gmf.runtime.draw2d.ui.mapmode.MapModeUtil

    public class MapModeUtil

extends java.lang.Object

Constructor Summary
`MapModeUtil()`

Method Summary
`static IMapMode` `getMapMode()`
`static IMapMode` `getMapMode(IFigure fig)` Parses up the figure containment hierarchy to find a `IFigure` that implements the `IMapMode` interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapModeUtil

    public MapModeUtil()

Method Detail

### getMapMode

    public static IMapMode getMapMode(IFigure fig)

  Parses up the figure containment hierarchy to find a `IFigure` that implements the `IMapMode` interface. This is then returned as the coordinate system mapping.

  Parameters:
    `fig` - `IFigure` to retrieve the `IMapMode` object from.
  Returns:
    appropriate `IMapMode` for the given `IFigure` object.

### getMapMode

    public static IMapMode getMapMode()

  Returns:
    `IMapMode` that is the default coordinate system mapping supported by the diagram infrastructure. Editors that support a different coordinate system, should use the @link{ MapModeUtil#getMapMode( IFigure fig) } to retrieve the appropriate `IMapMode` for their specific Editor.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.